Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Interface IRegisterGroup

All Superinterfaces:
  IAdaptable, IDebugElement

    public interface IRegisterGroup

extends IDebugElement

A register group is a group of registers that are assigned to a stack frame. Some debug architectures provide access to registers, and registers are often grouped logically. For example, a floating point register group.

Clients may implement this interface.

Since:
  2.0

Method Summary
`String` `getName()` Returns the name of this register group.
`IRegister[]` `getRegisters()` Returns the registers in this register group.
`boolean` `hasRegisters()` Returns whether this register group currently contains any registers.

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getName

    String getName()
                   throws DebugException

  Returns the name of this register group.

  Returns:
    this register group's name
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

### getRegisters

    IRegister[] getRegisters()
                             throws DebugException

  Returns the registers in this register group.

  Returns:
    the registers in this register group
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

### hasRegisters

    boolean hasRegisters()
                         throws DebugException

  Returns whether this register group currently contains any registers.

  Returns:
    whether this register group currently contains any registers
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.